@InProceedings{Guzman2022,
author="Guzman, David
and Trossen, Dirk
and McBride, Mike
and Fan, Xinxin",
editor="Chen, Shiping
and Shyamasundar, Rudrapatna K.
and Zhang, Liang-Jie",
title="Insights on Impact of Distributed Ledgers on Provider Networks",
booktitle="Blockchain -- ICBC 2022",
year="2022",
publisher="Springer Nature Switzerland",
address="Cham",
pages="3--17",
abstract="Internet scale distributed consensus takes advantage of randomized algorithms to cope with functional resilience, reliability and access while accomplishing decentralized agreement at expenses of costly unicast communication. This paper provides experimental insights on randomized communication patterns for distributed consensus systems. We define, measure and approximate communication overhead against key performance indicators like latency and communication overhead, leading to a discussion on how network innovations may mitigate the identified issues. While this paper does not promote specific solutions or DLT implementations, our initial insights invite the wider community working on DLT and network solutions alike to deepen those insights to aid future research and development into solutions, concepts, and technologies.",
isbn="978-3-031-23495-8"
}
@inproceedings{Guzman2023,
author = {Guzman, David and Trossen, Dirk and Ott, Joerg},
title = {If Iterative Diffusion Is The Answer, What Was The Question?},
year = {2023},
isbn = {9798400702761},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/3607504.3609288},
doi = {10.1145/3607504.3609288},
abstract = {A Distributed Concensus System (DCS) is a key component for a distributed system, maintaining and consenting over distributed state, as often required in distributed filesystems, cryptocurrencies and other applications. The prevalent mechanism to distribute the information needed to reach consensus in a DCS is through an iterative diffusion with the goal of distributing the (updated) information to at least the majority of DCS participants. Such diffusion is not just costly in maintaining the needed communication relations but also incurs latency in performing the diffusion itself. When looking closer at the goal of achieving the majority rule, however, one may wonder of the lack of multicast being used for achieving the same goal. This paper thus returns to the original intention of how to distribute information to a large set of users and outlines reasons for why multicast has not been widely used thus far. We evaluate the potential gain in doing so, based on an analytical model for the diffusion latency in an iterative diffusion DCS, bounded through empirical studies in an Ethereum system.},
booktitle = {Proceedings of the 2nd ACM SIGCOMM Workshop on Future of Internet Routing \& Addressing},
pages = {29–34},
numpages = {6},
location = {New York, NY, USA},
series = {FIRA '23}
}
@article{Neudecker2018,
author = {Neudecker, Till},
mendeley-groups = {50-distributed-concensus},
title = {{Security and Anonymity Aspects of the Network Layer of Permissionless Blockchains}},
year = {2018}
}
% DCS
@phdthesis{Tsitsiklis1984,
author = {Tsitsiklis, John},
mendeley-groups = {50-distributed-concensus},
school = {Massachusetts Institute of Technology},
title = {{Problems In Decentralized Decission Making and Computation}},
year = {1984}
}

@article{Fischer1985,
author = {Fischer, Michael J. and Lynch, Nancy A. and Paterson, Michael S.},
title = {Impossibility of Distributed Consensus with One Faulty Process},
year = {1985},
issue_date = {April 1985},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {32},
number = {2},
issn = {0004-5411},
url = {https://doi.org/10.1145/3149.214121},
doi = {10.1145/3149.214121},
abstract = {The consensus problem involves an asynchronous system of processes, some of which may be unreliable. The problem is for the reliable processes to agree on a binary value. In this paper, it is shown that every protocol for this problem has the possibility of nontermination, even with only one faulty process. By way of contrast, solutions are known for the synchronous case, the “Byzantine Generals” problem.},
journal = {J. ACM},
month = {apr},
pages = {374–382},
numpages = {9}
}

%
@article{Howard2014,
author = {Howard, Heidi},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/UCAM-CL-TR-935.pdf:pdf},
mendeley-groups = {50-distributed-concensus},
number = {UCAM-CL-TR-935},
issn ={1476-2986},
title = {{Distributed consensus revised}},
journal={University of Cambridge},
year = {2014}
}

@article{Defago2004,
author = {D\'{e}fago, Xavier and Schiper, Andr\'{e} and Urb\'{a}n, P\'{e}ter},
title = {Total Order Broadcast and Multicast Algorithms: Taxonomy and Survey},
year = {2004},
issue_date = {December 2004},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {36},
number = {4},
issn = {0360-0300},
url = {https://doi.org/10.1145/1041680.1041682},
doi = {10.1145/1041680.1041682},
abstract = {Total order broadcast and multicast (also called atomic broadcast/multicast) present an important problem in distributed systems, especially with respect to fault-tolerance. In short, the primitive ensures that messages sent to a set of processes are, in turn, delivered by all those processes in the same total order.},
journal = {ACM Comput. Surv.},
month = {dec},
pages = {372–421},
numpages = {50},
keywords = {distributed algorithms, group communication, classification, global ordering, atomic multicast, atomic broadcast, agreement problems, Distributed systems, total ordering, taxonomy, survey, fault-tolerance, message passing}
}

@inbook{Lamport2019,
author = {Lamport, Leslie and Shostak, Robert and Pease, Marshall},
title = {The Byzantine Generals Problem},
year = {2019},
isbn = {9781450372701},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
booktitle = {Concurrency: The Works of Leslie Lamport},
pages = {203–226},
numpages = {24}
}

@article{Aspnes1998,
author = {Aspnes, James},
title = {Lower Bounds for Distributed Coin-Flipping and Randomized Consensus},
year = {1998},
issue_date = {May 1998},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {45},
number = {3},
issn = {0004-5411},
abstract = {We examine a class of collective coin-flipping games that arises from randomized distributed algorithms with halting failures. In these games, a sequence of local coin flips is generated, which must be combined to form a single global coin flip. An adversary monitors the game and may attempt to bias its outcome by hiding the result of up to t local coin flips. We show that to guarantee at most constant bias, ω(t2) local coins are needed, even if (a) the local coins can have arbitrary distributions and ranges, (b) the adversary is required to decide immediately wheter to hide or reveal each local coin, and (c) the game can detect which local coins have been hidden. If the adversary is permitted to control the outcome of the coin except for cases whose probability is polynomial in t, ω(t2/log2t) local coins are needed. Combining this fact with an extended version of the well-known Fischer-Lynch-Paterson impossibility proof of deterministic consensus, we show that given an adaptive adversary, any t-resilient asynchronous consensus protocol requires ω(t2/log2t) local coin flips in any model that can be simulated deterministically using atomic registers. This gives the first nontrivial lower bound on the total work required by wait-free consensus and is tight to within logarithmic factors.},
journal = {J. ACM},
month = {may},
pages = {415–450},
numpages = {36},
keywords = {consensus, randomization, impossibility}
}

@book{Aspnes2022,
author = {Aspnes, James},
booktitle = {Yale University},
file = {:D\:/Users/d84179777/Downloads/notes.pdf:pdf},
mendeley-groups = {50-distributed-concensus},
title = {{Notes on Theory of Distributed Systems}},
year = {2022}
}


@article{Chockler2001,
abstract = {{\textcopyright}2001 ACM 0360-0300/01/1200-0427 View-oriented group communication is an important and widely used building block for many distributed applications. Much current research has been dedicated to specifying the semantics and services of view-oriented group communication systems (GCSs). However, the guarantees of different GCSs are formulated using varying terminologies and modeling techniques, and the specifications vary in their rigor. This makes it difficult to analyze and compare the different systems. This survey provides a comprehensive set of clear and rigorous specifications, which may be combined to represent the guarantees of most existing GCSs. In the light of these specifications, over 30 published GCS specifications are surveyed. Thus, the specifications serve as a unifying framework for the classification, analysis, and comparison of group communication systems. The survey also discusses over a dozen different applications of group communication systems, shedding light on the usefulness of the presented specifications. This survey is aimed at both system builders and theoretical researchers. The specification framework presented in this article will help builders of group communication systems understand and specify their service semantics; the extensive Categories and Subject Descriptors: C.2.4 [Computer-Communication Networks]: Distributed Systems; D.4.7 [Operating Systems]: Organization and Design - distributed systems; F.3.1 [Logics and Meanings of Programs]: Specifying and Verifying and Reasoning about Programs - specification techniques; C.2.1 [Computer-Communication Networks]: Network Architecture and Design - network communications Algorithms, Reliability, Standardization.},
author = {Chockler, Gregory V. and Keidar, Idit and Vitenberg, Roman},
doi = {10.1145/503112.503113},
file = {:D\:/Users/d84179777/Downloads/GroupCommunication.pdf:pdf},
issn = {03600300},
journal = {ACM Computing Surveys},
keywords = {Group communication systems,Partitionable group membership,Process group membership,Specifications of group communication systems,View synchrony,Virtual synchrony},
mendeley-groups = {50-distributed-concensus},
number = {4},
pages = {427--469},
title = {{Group communication specifications: A comprehensive study}},
volume = {33},
year = {2001}
}
%consolidation
@article{Doan2022-Web,
author = {Doan, Trinh Viet and van Rijswijk-Deij, Roland and Hohlfeld, Oliver and Bajpai, Vaibhav},
title = {An Empirical View on Consolidation of the Web},
year = {2022},
issue_date = {August 2022},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {22},
number = {3},
issn = {1533-5399},
url = {https://doi.org/10.1145/3503158},
doi = {10.1145/3503158},
abstract = {The majority of Web content is delivered by only a few companies that provide Content Delivery Infrastructuress (CDIss) such as Content Delivery Networkss (CDNss) and cloud hosts. Due to increasing concerns about trends of centralization, empirical studies on the extent and implications of resulting Internet consolidation are necessary. Thus, we present an empirical view on consolidation of the Web by leveraging datasets from two different measurement platforms. We first analyze Web consolidation around CDIs at the level of landing webpages, before narrowing down the analysis to a level of embedded page resources. The datasets cover 1(a) longitudinal measurements of DNS records for 166.5 M Web domains over five years, 1(b) measurements of DNS records for Alexa Top 1 M over a month and (2) measurements of page loads and renders for 4.3 M webpages, which include data on 392.3 M requested resources. We then define CDIs penetration as the ratio of CDI-hosted objects to all measured objects, which we use to quantify consolidation around CDIs. We observe that CDI penetration has close to doubled since 2015, reaching a lower bound of 15\% for all .com, .net, and .org Web domains as of January 2020. Overall, we find a set of six CDIss to deliver the majority of content across all datasets, with these six CDIss being responsible for more than 80\% of all 221.9 M CDI-delivered resources (56.6\% of all resources in total). We find high dependencies of Web content on a small group of CDIss, in particular, for fonts, ads, and trackers, as well as JavaScript resources such as jQuery. We further observe CDIss to play important roles in rolling out IPv6 and TLS&nbsp;1.3 support. Overall, these observations indicate a potential oligopoly, which brings both benefits but also risks to the future of the Web.},
journal = {ACM Trans. Internet Technol.},
month = {feb},
articleno = {70},
numpages = {30},
keywords = {centralization, content delivery, Web, consolidation}
}
@inproceedings{Tumas2023,
author = {Tumas, Vytautas and Rivera, Sean and Magoni, Damien and State, Radu},
title = {Topology Analysis of the XRP Ledger},
year = {2023},
isbn = {9781450395175},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {XRP Ledger is one of the oldest, well-established blockchains. Despite the popularity of the XRP Ledger, little is known about its underlying peer-to-peer network. The structural properties of a network impact its efficiency, security and robustness. We aim to close the knowledge gap by providing a detailed analysis of the XRP overlay network.In this paper we examine the graph-theoretic properties of the XRP Ledger peer-to-peer network and its temporal characteristics. We crawl the XRP Ledger over two months and collect 1,290 unique network snapshots. We uncover a small group of nodes that act as a networking backbone. In addition, we observe a high network churn, with a third of the nodes changing every five days. Our findings have strong implications for the resilience and safety of the XRP Ledger.},
booktitle = {Proceedings of the 38th ACM/SIGAPP Symposium on Applied Computing},
pages = {1277–1284},
numpages = {8},
keywords = {blockchain, XRP Ledger, topology analysis, measurement},
location = {Tallinn, Estonia},
series = {SAC '23}
}
@inproceedings{Balduf2023,
author = {Balduf, Leonhard and Korczy\'{n}ski, Maciej and Ascigil, Onur and Keizer, Navin V. and Pavlou, George and Scheuermann, Bj\"{o}rn and Kr\'{o}l, Micha\l{}},
title = {The Cloud Strikes Back: Investigating the Decentralization of IPFS},
year = {2023},
isbn = {9798400703829},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/3618257.3624797},
doi = {10.1145/3618257.3624797},
abstract = {Interplanetary Filesystem (IPFS) is one of the largest peer-to-peer filesystems in operation. The network is the default storage layer for Web3 and is being presented as a solution to the centralization of the web. In this paper, we present a large-scale, multi-modal measurement study of the IPFS network. We analyze the topology, the traffic, the content providers and the entry points from the classical Internet. Our measurements show significant centralization in the IPFS network and a high share of nodes hosted in the cloud. We also shed light on the main stakeholders in the ecosystem. We discuss key challenges that might disrupt continuing efforts to decentralize the Web and highlight multiple properties that are creating pressures toward centralization.},
booktitle = {Proceedings of the 2023 ACM on Internet Measurement Conference},
pages = {391–405},
numpages = {15},
keywords = {ipfs, peer-to-peer networks, decentralization},
location = {Montreal QC, Canada},
series = {IMC '23}
}

@article{Tang2023,
abstract = {Most permissionless blockchain networks run on peer-to-peer (P2P) networks, which offer flexibility and decentralization at the expense of performance (e.g., network latency). Historically, this tradeoff has not been a bottleneck for most blockchains. However, an emerging host of blockchain-based applications (e.g., decentralized finance) are increasingly sensitive to latency; users who can reduce their network latency relative to other users can accrue (sometimes significant) financial gains. In this work, we initiate the study of strategic latency reduction in blockchain P2P networks. We first define two classes of latency that are of interest in blockchain applications. We then show empirically that a strategic agent who controls only their local peering decisions can manipulate both types of latency, achieving 60% of the global latency gains provided by the centralized, paid service bloXroute, or, in targeted scenarios, comparable gains. Finally, we show that our results are not due to the poor design of existing P2P networks. Under a simple network model, we theoretically prove that an adversary can always manipulate the P2P network's latency to their advantage, provided the network experiences sufficient peer churn and transaction activity.},
archivePrefix = {arXiv},
arxivId = {2205.06837},
author = {Tang, Weizhao and Kiffer, Lucianna and Fanti, Giulia and Juels, Ari},
doi = {10.1145/3589976},
eprint = {2205.06837},
file = {:D\:/Users/d84179777/Documents/Mendeley Desktop/Tang et al. - 2023 - Strategic Latency Reduction in Blockchain Peer-to-Peer Networks.pdf:pdf},
isbn = {9798400700743},
issn = {24761249},
journal = {Proceedings of the ACM on Measurement and Analysis of Computing Systems},
keywords = {blockchains,p2p networks,strategic manipulation},
mendeley-groups = {51-dlt},
number = {2},
pages = {1--33},
publisher = {Association for Computing Machinery},
title = {{Strategic Latency Reduction in Blockchain Peer-to-Peer Networks}},
volume = {7},
year = {2023}
}

@inproceedings{Muehle2021,
author = {M\"{u}hle, Alexander and Gr\"{u}ner, Andreas and Meinel, Christoph},
title = {Characterising Proxy Usage in the Bitcoin Peer-to-Peer Network},
year = {2021},
isbn = {9781450389334},
publisher = {ACM},
address = {New York, NY, USA},
abstract = {In the public mind, Bitcoin has often been associated with censorship circumvention and evasion of surveillance measures, specifically in the context of monetary transactions. However, this perceived anonymity is a false sense of security as both on-chain transactions and the underlying message exchange in the peer-to-peer network are attack vectors for deanonymisation and monitoring, as shown in other research. Nonetheless, there has been an increase in Bitcoin usage not only for end-users but also in the context of cybercrime in the form of cryptojacking and ransomware. So there are a number of reasons why proxies might be used in the Bitcoin network, either as a privacy-preserving measure of end-users or as obfuscation in cybercrime. In this paper, we present a measurement study with the goal of characterising the proxy and VPN usage in the Bitcoin peer-to-peer network. We developed YABA (Yet Another Bitcoin Analyser) to gather network data in a geographically distributed fashion and analyse it. We describe our techniques to infer proxy/VPN usage and load on the peer through different latency measurements and the limitations of our approaches. We utilise port scanning of standard proxy/VPN service ports to compare results. We deployed our infrastructure on three continents (4 workers) and continuously crawled the network, with a total of 26.9 million connection attempts over five days. We conclude the usage of proxies to be minimal, with an estimated 0.4\% of peers detected through latency measurements. Similar prevalence was measured through the use of port scans with SOCKS port hitrate at 0.3\%, while common VPN ports had hitrates between 0.18\% and 0.7\%.},
booktitle = {Proceedings of the 22nd International Conference on Distributed Computing and Networking},
pages = {176–185},
numpages = {10},
keywords = {Bitcoin, Network Measurement, Proxy Detection},
location = {Nara, Japan},
series = {ICDCN '21}
}

@article{Grundmann2022,
abstract = {A recent spam wave of IP addresses in the Bitcoin P2P network allowed us to estimate the degree distribution of reachable peers. The resulting distribution indicates that about half of the reachable peers run with Bitcoin Core's default setting of a maximum of 125 concurrent connections and nearly all connection slots are taken. We validate this result empirically. We use our observations of the spam wave to group IP addresses that belong to the same peer. By doing this grouping, we improve on previous measurements of the number of reachable peers and show that simply counting IP addresses overestimates the number of reachable peers by 15 %. We revalidate previous work by using our observations to estimate the number of unreachable peers.},
author = {Grundmann, Matthias and Baumstark, Max and Hartenstein, Hannes},
doi = {10.1109/ICBC54727.2022.9805511},
file = {:Users/dgu/Downloads/2022-Bitcoin-Degree.pdf:pdf},
isbn = {9781665495387},
journal = {IEEE International Conference on Blockchain and Cryptocurrency, ICBC 2022},
mendeley-groups = {51-dlt},
number = {July 2021},
title = {{On the Peer Degree Distribution of the Bitcoin P2P Network}},
year = {2022}
}

@INPROCEEDINGS{Toshniwal2021,
  author={Toshniwal, Bhavesh and Kataoka, Kotaro},
  booktitle={2021 International Conference on Information Networking (ICOIN)},
  title={Comparative Performance Analysis of Underlying Network Topologies for Blockchain},
  year={2021},
  volume={},
  number={},
  pages={367-372},
  doi={10.1109/ICOIN50884.2021.9333978}}

%DLT entries
@inproceedings{Androulaki2018,
author = {Androulaki, Elli and Barger, Artem and Bortnikov, Vita and Cachin, Christian and Christidis, Konstantinos and De Caro, Angelo and Enyeart, David and Ferris, Christopher and Laventman, Gennady and Manevich, Yacov and Muralidharan, Srinivasan and Murthy, Chet and Nguyen, Binh and Sethi, Manish and Singh, Gari and Smith, Keith and Sorniotti, Alessandro and Stathakopoulou, Chrysoula and Vukoli\'{c}, Marko and Cocco, Sharon Weed and Yellick, Jason},
title = {Hyperledger Fabric: A Distributed Operating System for Permissioned Blockchains},
year = {2018},
isbn = {9781450355841},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/3190508.3190538},
doi = {10.1145/3190508.3190538},
abstract = {Fabric is a modular and extensible open-source system for deploying and operating permissioned blockchains and one of the Hyperledger projects hosted by the Linux Foundation (www.hyperledger.org).Fabric is the first truly extensible blockchain system for running distributed applications. It supports modular consensus protocols, which allows the system to be tailored to particular use cases and trust models. Fabric is also the first blockchain system that runs distributed applications written in standard, general-purpose programming languages, without systemic dependency on a native cryptocurrency. This stands in sharp contrast to existing block-chain platforms that require "smart-contracts" to be written in domain-specific languages or rely on a cryptocurrency. Fabric realizes the permissioned model using a portable notion of membership, which may be integrated with industry-standard identity management. To support such flexibility, Fabric introduces an entirely novel blockchain design and revamps the way blockchains cope with non-determinism, resource exhaustion, and performance attacks.This paper describes Fabric, its architecture, the rationale behind various design decisions, its most prominent implementation aspects, as well as its distributed application programming model. We further evaluate Fabric by implementing and benchmarking a Bitcoin-inspired digital currency. We show that Fabric achieves end-to-end throughput of more than 3500 transactions per second in certain popular deployment configurations, with sub-second latency, scaling well to over 100 peers.},
booktitle = {Proceedings of the Thirteenth EuroSys Conference},
articleno = {30},
numpages = {15},
location = {Porto, Portugal},
series = {EuroSys '18}
}

@article{Baran1962,
author = {Baran, Paul},
doi = {10.1109/TCOM.1964.1088883},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/P2626-Paul_Baran_Distributed_Systems.pdf:pdf},
journal = {IEEE Transactions on Communications Systems},
mendeley-groups = {53-distributed-systems},
number = {1},
pages = {1--9},
title = {{On Distributed Communication Networks}},
volume = {12},
year = {1964}
}
@article{Newman1956,
author = {Newman, John Von},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/vonNeumann-1956-Automata-and-Logic.pdf:pdf},
journal = {Automata Studies},
mendeley-groups = {6-information-theory},
title = {{Probabilistic Logics and the Synthesis of Reliable Organism from Unreliable Components}},
volume = {C. Shannon},
year = {1956}
}

@INPROCEEDINGS{Makur2019,
  author={Makur, Anuran and Mossel, Elchanan and Polyanskiy, Yury},
  booktitle={2019 IEEE International Symposium on Information Theory (ISIT)},
  title={Broadcasting on Random Networks},
  year={2019},
  volume={},
  number={},
  pages={1632-1636},
  doi={10.1109/ISIT.2019.8849393}
}

@ARTICLE{Makur2020,
  author={Makur, Anuran and Mossel, Elchanan and Polyanskiy, Yury},
  journal={IEEE Transactions on Information Theory},
  title={Broadcasting on Random Directed Acyclic Graphs},
  year={2020},
  volume={66},
  number={2},
  pages={780-812},
  doi={10.1109/TIT.2019.2935772}
}

@article{Evans2000,
author = {{William Evans, Claire Kenyon Yuval Peres}, Leonard Schulman},
doi = {https://doi.org/10.1214/aoap/1019487349},
file = {:D\:/Users/d84179777/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/William Evans, Claire Kenyon Yuval Peres - Unknown - Broadcasting on Trees and the Ising Model.pdf:pdf},
journal = {Ann. Appl. Probab.},
mendeley-groups = {6-information-theory},
number = {2},
pages = {410--433},
title = {{Broadcasting on Trees and the Ising Model}},
volume = {10},
year = {2000}
}

@article{Cai2021,
author = {Cai, Liang and Sun, Yi and Zheng, Zibin and Xiao, Jiang and Qiu, Weiwei},
title = {Blockchain in China},
year = {2021},
issue_date = {November 2021},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {64},
number = {11},
issn = {0001-0782},
url = {https://doi.org/10.1145/3481627},
doi = {10.1145/3481627},
journal = {Commun. ACM},
month = {oct},
pages = {88–93},
numpages = {6}
}

@ARTICLE{Jin2019,
  author={Jin, Ming and Chen, Xiaojiao and Lin, Sian-Jheng},
  journal={IEEE Access}, 
  title={Reducing the Bandwidth of Block Propagation in Bitcoin Network With Erasure Coding}, 
  year={2019},
  volume={7},
  number={},
  pages={175606-175613},
  doi={10.1109/ACCESS.2019.2957496}}


@inproceedings{Castro1999,
author = {Castro, Miguel and Liskov, Barbara},
title = {Practical Byzantine Fault Tolerance},
year = {1999},
isbn = {1880446391},
publisher = {USENIX Association},
address = {USA},
booktitle = {Proceedings of the Third Symposium on Operating Systems Design and Implementation},
pages = {173–186},
numpages = {14},
location = {New Orleans, Louisiana, USA},
series = {OSDI '99}
}

@article{Nakamoto2008,
abstract = {In this article I will compare two approaches for defining theoretical terms, that of Logical Empirism (especially the approach of R. Carnap) and that of Structuralism (according to the works of J. Sneed and W. Stegm{\"{u}}ller). I will determine explicitly the accounts of theoreticity in both Logical Empirism and Structuralism, and compare them by means of a case study: a structuralistic reconstruction of Neurobiological Constructivism (according to the theory of G. Roth). I will point out that the structuralistic criticism on the account of theoreticity of Logical Empirism is insufficient and that the structuralistic criterion of theoreticity does not satisfy the requirements of demarcation for theoretical terms demanded by Logical Empirism. {\textcopyright} 2008 Springer Science+Business Media B.V.},
author = {Nakamoto ,Satoshi },
doi = {10.1007/s10838-008-9062-0},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/Satoshi - 2008 - Bitcoin A Peer-to-Peer Electronic Cash System.pdf:pdf},
issn = {09254560},
journal = {Journal for General Philosophy of Science},
mendeley-groups = {51-dlt},
number = {1},
pages = {53--67},
title = {{Bitcoin: A Peer-to-Peer Electronic Cash System}},
volume = {39},
year = {2008}
}
@INPROCEEDINGS{Mettler2016,
  author={Mettler, Matthias},
  booktitle={2016 IEEE 18th International Conference on e-Health Networking, Applications and Services (Healthcom)}, 
  title={Blockchain technology in healthcare: The revolution starts here}, 
  year={2016},
  volume={},
  number={},
  pages={1-3},
  doi={10.1109/HealthCom.2016.7749510}}

@inproceedings{Javarone2018,
author = {Javarone, Marco Alberto and Wright, Craig Steven},
title = {From Bitcoin to Bitcoin Cash: A Network Analysis},
year = {2018},
isbn = {9781450358385},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {Bitcoins and Blockchain technologies are attracting the attention of different scientific communities. In addition, their widespread industrial applications and the continuous introduction of cryptocurrencies are also stimulating the attention of the public opinion. The underlying structure of these technologies constitutes one of their core concepts. In particular, they are based on peer-to-peer networks. Accordingly, all nodes lie at the same level, so that there is no place for privileged actors as, for instance, banking institutions in classical financial networks. In this work, we perform a preliminary investigation on two kinds of network, i.e. the Bitcoin network and the Bitcoin Cash network. Notably, we analyze their global structure and we try to evaluate if they are provided with a small-world behavior. Results suggest that the principle known as 'fittest-gets-richer', combined with a continuous increasing of connections, might constitute the mechanism leading these networks to reach their current structure. Moreover, further observations open the way to new investigations into this direction.},
booktitle = {Proceedings of the 1st Workshop on Cryptocurrencies and Blockchains for Distributed Systems},
pages = {77–81},
numpages = {5},
keywords = {Bitcoin, Complex Networks, Bitcoin Cash},
location = {Munich, Germany},
series = {CryBlock'18}
}

@article{Dimitri2022,
author = {Dimitri, Nicola},
title = {Proof-of-Stake in Algorand},
year = {2022},
issue_date = {December 2022},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {1},
number = {2},
issn = {2769-6472},
abstract = {In the last few years, a number of blockchain-based online platforms decided to use consensus procedures other than Proof of Work (PoW), originally adopted by Bitcoin. An alternative protocol, which attracted much attention, is the so-called Proof-of-Stake (PoS), which unlike PoW consensus is not based on solving an energy-consuming cryptopuzzle, but rather on the amount of currency units owned by a user. Different platforms adopted alternative versions of PoS. In this article, we investigate a version of PoS inspired by Algorand, which embodies a number of specific features. Indeed, to confirm a new block in the chain Algorand introduces three steps: proposal, selection, and confirmation of a block. Each step is performed by randomly selected users, where draws are based on PoS. We find explicit solutions for individual money demand, under the main simplifying assumption that a user is rewarded by the system only for the first role that she's drawn for. We do so by considering both exogenous and endogenous money supply. We also discuss the monetary equilibrium of the system, an important element in the analysis because a long-lasting disequilibrium of the economy may cause disappointment and induce some users to leave the system. Our findings suggest that an equilibrium seems to be more likely to take place if users have heterogeneous, rather than homogeneous, preferences.},
journal = {Distrib. Ledger Technol.},
month = {dec},
articleno = {9},
numpages = {17},
keywords = {Proof-of-Stake, Algorand, Blockchain}
}

@ARTICLE {Drusinsky2022,
author = {D. Drusinsky},
journal = {Computer},
title = {On the High-Energy Consumption of Bitcoin Mining},
year = {2022},
volume = {55},
number = {01},
issn = {1558-0814},
pages = {88-93},
abstract = {A well-known fact is that Bitcoin’s blockchain maintenance using proof-of-work mining consumes a lot of energy. This article explains how this energy expense is inherent to Bitcoin’s design whose purpose is to induce a truly distributed peer-to-peer currency ledger (the blockchain) that is nevertheless trustable.},
keywords = {bitcoin;maintenance engineering;blockchains;peer-to-peer computing;currencies;design methodology},
doi = {10.1109/MC.2021.3123781},
publisher = {IEEE Computer Society},
address = {Los Alamitos, CA, USA},
month = {jan}
}

@inproceedings{Lee2020,
author = {Lee, Xi Tong and Arijit, Khan and Sourav, Sen Gupta and Yu, Hann Ong and Xuan, Liu},
booktitle = {WWW '20: Proceedings of The Web Conference 2020},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/2020_www-measuring-analysis-dlt.pdf:pdf},
isbn = {9781450370233},
keywords = {acm reference format,and xuan,arijit khan,blockchain,ethereum,network analysis,smart contracts,sourav sen gupta,tokens,xi tong lee,yu hann ong},
mendeley-groups = {51-dlt},
title = {{Measurements , Analyses , and Insights on the Entire Ethereum Blockchain Network}},
year = {2020}
}
@article{Wang2021,
archivePrefix = {arXiv},
arxivId = {arXiv:2010.01373v2},
author = {Wang, Taotao and Zhao, Chonghe and Yang, Qing and Zhang, Shengli and Liew, Soung Chang},
eprint = {arXiv:2010.01373v2},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/2010.01373-etherscan2021.pdf:pdf},
mendeley-groups = {51-dlt},
pages = {1--15},
title = {{Ethna : Analyzing the Underlying Peer-to-Peer Network of Ethereum Blockchain}},
year = {2021}
}

@INPROCEEDINGS{Zhang2021,
  author={Zhang, Lin and Lee, Brian and Ye, Yuhang and Qiao, Yuansong},
  booktitle={2021 11th IFIP International Conference on New Technologies, Mobility and Security (NTMS)},
  title={Evaluation of Ethereum End-to-end Transaction Latency},
  year={2021},
  volume={},
  number={},
  pages={1-5},
  doi={10.1109/NTMS49979.2021.9432676}}

@inproceedings{Gilad2017,
author = {Gilad, Yossi and Hemo, Rotem and Micali, Silvio and Vlachos, Georgios and Zeldovich, Nickolai},
title = {Algorand: Scaling Byzantine Agreements for Cryptocurrencies},
year = {2017},
isbn = {9781450350853},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {Algorand is a new cryptocurrency that confirms transactions with latency on the order of a minute while scaling to many users. Algorand ensures that users never have divergent views of confirmed transactions, even if some of the users are malicious and the network is temporarily partitioned. In contrast, existing cryptocurrencies allow for temporary forks and therefore require a long time, on the order of an hour, to confirm transactions with high confidence.Algorand uses a new Byzantine Agreement (BA) protocol to reach consensus among users on the next set of transactions. To scale the consensus to many users, Algorand uses a novel mechanism based on Verifiable Random Functions that allows users to privately check whether they are selected to participate in the BA to agree on the next set of transactions, and to include a proof of their selection in their network messages. In Algorand's BA protocol, users do not keep any private state except for their private keys, which allows Algorand to replace participants immediately after they send a message. This mitigates targeted attacks on chosen participants after their identity is revealed.We implement Algorand and evaluate its performance on 1,000 EC2 virtual machines, simulating up to 500,000 users. Experimental results show that Algorand confirms transactions in under a minute, achieves 125x Bitcoin's throughput, and incurs almost no penalty for scaling to more users.},
booktitle = {Proceedings of the 26th Symposium on Operating Systems Principles},
pages = {51–68},
numpages = {18},
location = {Shanghai, China},
series = {SOSP '17}
}

@article{Dotan2020,
author = {Dotan, Maya and Pignolet, Yvonne-Anne and Schmid, Stefan and Tochner, Saar and Zohar, Aviv},
title = {Survey on Blockchain Networking: Context, State-of-the-Art, Challenges},
year = {2021},
issue_date = {June 2022},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {54},
number = {5},
issn = {0360-0300},
url = {https://doi.org/10.1145/3453161},
doi = {10.1145/3453161},
abstract = {Blockchains, in general, and cryptocurrencies such as Bitcoin, in particular, are realized using distributed systems and hence critically rely on the performance and security of the interconnecting network. The requirements on these networks and their usage, however, can differ significantly from traditional communication networks, with implications on all layers of the protocol stack. This article is motivated by these differences and, in particular, by the observation that many fundamental design aspects of these networks are not well-understood today. To support the networking community to contribute to this emerging application domain, we present a structured overview of the field, from topology and neighbor discovery, over block and transaction propagation, to sharding and off-chain networks, also reviewing existing empirical results from different measurement studies. In particular, for each of these domains, we provide the context, highlighting differences and commonalities with traditional networks, review the state-of-the-art, and identify open research challenges. Our article can hence also be seen as a call-to-arms to improve the foundation on top of which blockchains are built.},
journal = {ACM Comput. Surv.},
month = {may},
articleno = {107},
numpages = {34},
keywords = {Blockchains, distributed computing, payment networks}
}
@INPROCEEDINGS{Badr2022,
  author={Bellaj, Badr and Ouaddah, Aafaf and Bertin, Emmanuel and Crespi, Noel and Mezrioui, Abdellatif},
  booktitle={2022 IEEE International Conference on Blockchain and Cryptocurrency (ICBC)},
  title={SOK: A Comprehensive Survey on Distributed Ledger Technologies},
  year={2022},
  volume={},
  number={},
  pages={1-16},
  doi={10.1109/ICBC54727.2022.9805533}
  }
@inproceedings{Kim2018,
author = {Kim, Seoung Kyun and Ma, Zane and Murali, Siddharth and Mason, Joshua and Miller, Andrew and Bailey, Michael},
title = {Measuring Ethereum Network Peers},
year = {2018},
isbn = {9781450356190},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {Ethereum, the second-largest cryptocurrency valued at a peak of $138 billion in 2018, is a decentralized, Turing-complete computing platform. Although the stability and security of Ethereum---and blockchain systems in general---have been widely-studied, most analysis has focused on application level features of these systems such as cryptographic mining challenges, smart contract semantics, or block mining operators. Little attention has been paid to the underlying peer-to-peer (P2P) networks that are responsible for information propagation and that enable blockchain consensus. In this work, we develop NodeFinder to measure this previously opaque network at scale and illuminate the properties of its nodes. We analyze the Ethereum network from two vantage points: a three-month long view of nodes on the P2P network, and a single day snapshot of the Ethereum Mainnet peers. We uncover a noisy DEVp2p ecosystem in which fewer than half of all nodes contribute to the Ethereum Mainnet. Through a comparison with other previously studied P2P networks including BitTorrent, Gnutella, and Bitcoin, we find that Ethereum differs in both network size and geographical distribution.},
booktitle = {Proceedings of the Internet Measurement Conference 2018},
pages = {91–104},
numpages = {14},
keywords = {DEVp2p, Ethereum, peer-to-peer computing, network measurement},
location = {Boston, MA, USA},
series = {IMC '18}
}

@inproceedings{Cruciani2023,
author = {Cruciani, Antonio and Pasquale, Francesco},
title = {Dynamic Graph Models Inspired by the Bitcoin Network-Formation Process},
year = {2023},
isbn = {9781450397964},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {The network formation process in the Bitcoin protocol is designed to hide the global network structure: while most of the nodes of the network can be easily discovered, the existence of an edge between two nodes is only known by the two endpoints. In [Becchetti et al., SODA2020] the authors propose a dynamic random graph model inspired by the network formation process in the Bitcoin protocol and they prove that the evolution of the graph quickly terminates and that the resulting graph is an expander, with high probability. In this paper we extend the model in [Becchetti et al., SODA2020] to obtain dynamic random graph models that evolve forever: in the first model, edges can be faulty, i.e., each edge at each round disappears with some probability; in the second one, at every round new nodes join the network according to a Poisson process and each node currently in the network disappears with certain probability; in the third one, we consider a combination of the two models above, in which edges can be faulty and nodes can join and leave the network. We run extensive simulations to measure the “flooding time” in the three models, i.e., how long it takes a message starting at a random node to reach all, or almost all, the nodes. The simulations show that, for large ranges of the parameters of the models, the flooding time is short, i.e., compatible with a logarithmic growth, as a function of the number of nodes in the network. Our results also suggest that the default values of the network formation parameters used in the main implementation of the Bitcoin protocol seem overwhelmingly safe with respect to the stability of the network, and they might safely be tuned to reduce network traffic.},
booktitle = {Proceedings of the 24th International Conference on Distributed Computing and Networking},
pages = {125–134},
numpages = {10},
keywords = {Dynamic graphs, P2P networks, Markov chains, simulations},
location = {Kharagpur, India},
series = {ICDCN '23}
}
@article{Zheng,
archivePrefix = {arXiv},
arxivId = {arXiv:1911.00169v2},
author = {Zheng, Peilin},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/1911.00169-dltmeas.pdf:pdf},
mendeley-groups = {51-dlt},
number = {4},
title = {{XBlock-ETH : Extracting and Exploring Blockchain Data From Ethereum}}
}
@InProceedings{Maymounkov2002,
author = {Maymounkov, Petar and Mazi{\`e}res, David},
doi = {10.1007/3-540-45748-8},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/maymounkov-kademlia-lncs.pdf:pdf},
isbn = {978-3-540-45748-0},
mendeley-groups = {51-dlt},
title = {{Kademlia: A Peer-to-peer Information System Based on the XOR Metric}},
booktitle = {Peer-to-Peer Systems},
year = {2002}
}

@article{Stoica2001,
abstract = { A fundamental problem that confronts peer-to-peer applications is to efficiently locate the node that stores a particular data item. This paper presents Chord , a distributed lookup protocol that addresses this problem. Chord provides support for just one operation: given a key, it maps the key onto a node. Data location can be easily implemented on top of Chord by associating a key with each data item, and storing the key/data item pair at the node to which the key maps. Chord adapts efficiently as nodes join and leave the system, and can answer queries even if the system is continuously changing. Results from theoretical analysis, simulations, and experiments show that Chord is scalable, with communication cost and the state maintained by each node scaling logarithmically with the number of Chord nodes. },
author = {Stoica, Ion and Morris, Robert and Karger, David and Kaashoek, M. Frans and Balakrishnan, Hari},
doi = {10.1145/964723.383071},
file = {:Users/dgu/Library/Application Support/Mendeley Desktop/Downloaded/Stoica et al. - 2001 - Chord.pdf:pdf},
isbn = {1581134118},
issn = {0146-4833},
journal = {ACM SIGCOMM Computer Communication Review},
mendeley-groups = {53-distributed-systems},
number = {4},
pages = {149--160},
title = {{Chord}},
volume = {31},
year = {2001}
}

@article{Reichard98,
author = {Reichard, Kevin},
title = {Web Hosting and Colocation: A Helping Hand for Business},
year = {1998},
issue_date = {Sept. 1998},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {2},
number = {4},
issn = {1091-3556},
url = {https://doi.org/10.1145/285293.285300},
doi = {10.1145/285293.285300},
journal = {NetWorker},
month = {sep},
pages = {24–29},
numpages = {6}
}

@article{Garay2017,
author = {Garay, Juan A},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/3055518.3055519.pdf:pdf},
isbn = {9781450343350},
mendeley-groups = {51-dlt},
number = {2016},
pages = {2016},
title = {{Basic Properties of the Blockchain}},
volume = {991},
year = {2017}
}

@article{Antonopoulos2017,
author = {Antonopoulos, A.M},
number = {935},
title = {{Mastering Bitcoin, 2nd Edition}},
year = {2017}
}

@article{Trossen2021,
author = {Trossen, Dirk and Guzman, David and  McBride, Mike and Fan, Xinxin },
number = {935},
title = {{Impact of Distributed Ledgers on Provider Networks}},
year = {2021}
}

@techreport{Trossen2023,
  title={Routing on Service Addresses},
  author={IETF},
  source={https://www.ietf.org/archive/id/draft-trossen-rtgwg-rosa-00.txt},
  year={2023},
}

@INPROCEEDINGS{cards,
author={K. Khandaker and D. Trossen and R. Khalili and Z. Despotovic and A. Hecker and J. Carle},
booktitle={IFIP Networking},
title={CArDS: Dealing a New Hand in Reducing Service Request Completion Times},
year={2022},
}
@techreport{DINRG,
  title={Decentralized Internet Infrastructure (dinrg)},
  author={IETF},
  source={https://datatracker.ietf.org/rg/dinrg/about/},
  year={2022},
}

@techreport{P2958,
  title={P2958: Standard for a Decentralized Identity and Access Management Framework for Internet of Things},
  author={IEEE},
  source={https://standards.ieee.org/ieee/2958/10483/},
  year={2020},
}

@techreport{P3210,
  title={P3210: Standard for Blockchain-based Digital Identity System Framework},
  author={IEEE},
  source={https://standards.ieee.org/ieee/3210/10242/},
  year={2020},
}
@inproceedings{SOI_ROUTING,
  title={A New Approach to a Service Oriented Internet Protocol},
  author={S. Jiang, G. Li, B. Carpenter},
  booktitle={IEEE INFOCOM 2020 - IEEE Conference on Computer Communications Workshops (INFOCOM WKSHPS)},
  year={2020},
}
@INPROCEEDINGS{constraintforwarding,
author={Glebke, René and Trossen, Dirk and Kunze, Ike and Lou, Zhe and Rüth, Jan and Stoffers, Mirko and Wehrle, Klaus},
 booktitle={1st Intl. Workshop on Semantic Addressing and Routing for Future Networks},
title={Service-based Forwarding via Programmable Dataplanes},
 year={2021},
 volume={},
number={},
pages={},
 doi={}
}
@article{Wood2014,
abstract = {The blockchain paradigm when coupled with cryptographically-secured transactions has demonstrated its utility through a number of projects, not least Bitcoin. Each such project can be seen as a simple application on a decentralised, but singleton, compute resource. We can call this paradigm a transactional singleton machine with shared-state. Ethereum implements this paradigm in a generalised manner. Furthermore it provides a plurality of such resources, each with a distinct state and operating code but able to interact through a message-passing framework with others. We discuss its design, implementation issues, the opportunities it provides and the future hurdles we envisage.},
archivePrefix = {arXiv},
arxivId = {arXiv:1011.1669v3},
author = {Wood, Gavin},
doi = {10.1017/CBO9781107415324.004},
eprint = {arXiv:1011.1669v3},
file = {:D\:/Users/d84179777/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Wood - 2014 - Ethereum a secure decentralised generalised transaction ledger.pdf:pdf},
isbn = {9788578110796},
issn = {1098-6596},
journal = {Ethereum Project Yellow Paper},
mendeley-groups = {51-dlt},
pages = {1--32},
pmid = {25246403},
title = {{Ethereum: a secure decentralised generalised transaction ledger}},
year = {2014}
}

%eviction line 47 https://github.com/bitcoin/bitcoin/blob/ffdab41f94521dc87e68a160546af55355340af5/test/functional/p2p_eviction.py
@article{bitcoindevelopers,
author = {Bitcoin},
title = {Bitcoin},
url = {https://github.com/bitcoin},
year = {2023}
}
https://github.com/bitcoin

@article{ethereumdevelopers,
author = {Ethereum},
title = {Ethereum Developers},
url = {https://ethereum.org/en/developers/docs/},
year = {2022}
}

@article{etherscan,
author = {Ethereum},
title = {Etherscan},
url = {https://etherscan.io/nodetracker},
year = {2022}
}

@article{goethereum-architecture,
author = {Ethereum},
title = {Node Architecture},
url = {https://ethereum.org/en/developers/docs/nodes-and-clients/node-architecture/},
year = {2023}
}
@article{goethereum,
author = {Ethereum},
title = {Go Ethereum Official Client},
url = {https://github.com/ethereum/},
year = {2023}
}
@article{openethereum,
author = {Ethereum},
title = {Open Ethereum Official Client},
url = {https://github.com/openethereum/openethereum},
year = {2022}
}
@article{erigon,
author = {Erigon},
title = {Erigon Official Client},
url = {https://github.com/ledgerwatch/erigon},
year = {2024}
}
@article{prysm,
author = {Prysmatic Labs},
title = {Prysm},
url = {https://prysmaticlabs.com/},
year = {2022}
}
@article{nethermind,
author = {Nethermind},
title = {Nethermind},
url = {https://www.nethermind.io/},
year = {2024}
}

@article{ethereum-client-diversity,
author = {Ethereum},
title = {Client Diversity},
url = {https://ethereum.org/en/developers/docs/nodes-and-clients/client-diversity/},
year = {2024}
}

@article{goethereumsecurity,
author = {Ethereum},
title = {Go Ethereum Official Client ECIES},
url = {https://github.com/ethereum/go-ethereum/crypto/ecie},
year = {2022}
}
@article{Gao2019,
author = {Gao, Yue and Shi, Jinqiao and Wang, Xuebin and Tan, Qingfeng and Zhao, Can and Yin, Zelin},
file = {:C\:/Users/d84179777/Documents/Mendeley Desktop/08969695-Topology-Measures-Yin.pdf:pdf},
isbn = {9781728129990},
journal = {2019 IEEE Symposium on Computers and Communications (ISCC)},
mendeley-groups = {51-dlt},
pages = {1--7},
title = {{Topology Measurement and Analysis on Ethereum P2P Network}},
year = {2019}
}

@article{Zheng,
archivePrefix = {arXiv},
arxivId = {arXiv:1911.00169v2},
author = {Zheng, Peilin},
mendeley-groups = {51-dlt},
number = {4},
title = {{XBlock-ETH : Extracting and Exploring Blockchain Data From Ethereum}}
}

@INPROCEEDINGS{Cortes-Goicoechea2021,
  author={Cortes-Goicoechea, Mikel and Bautista-Gomez, Leonardo},
  booktitle={2021 Third International Conference on Blockchain Computing and Applications (BCCA)},
  title={Discovering the Ethereum2 P2P Network},
  year={2021},
  volume={},
  number={},
  pages={81-88},
  doi={10.1109/BCCA53669.2021.9657041}}

@article{Cortes-Goicoechea2023,
abstract = {Like most modern blockchain networks, Ethereum has relied on economic incentives to promote honest participation in the chain's consensus. The distributed character of the platform, together with the 'randomness' or 'luck' factor that both proof of work (PoW) and proof of stake (PoS) provide when electing the next block proposer, pushed the industry to model and improve the reward system of the system. With several improvements to predict PoW block proposal rewards and to maximize the extractable rewards of the same ones, the ultimate Ethereum's transition to PoS applied in the Paris Hard-Fork, more generally known as 'The Merge', has meant a significant modification on the reward system in the platform. In this paper, we aim to break down both theoretically and empirically the new reward system in this post-merge era. We present a highly detailed description of the different rewards and their share among validators' rewards. Ultimately, we offer a study that uses the presented reward model to analyze the performance of the network during this transition.},
author = {Cortes-Goicoechea, Mikel and Mohandas-Daryanani, Tarun and Munoz-Tapia, Jose Luis and Bautista-Gomez, Leonardo},
doi = {10.1109/ICBC56567.2023.10174942},
file = {:Users/dgu/Library/Application Support/Mendeley Desktop/Downloaded/Cortes-Goicoechea et al. - 2023 - Autopsy of Ethereum's Post-Merge Reward System.pdf:pdf},
isbn = {9798350310191},
journal = {2023 IEEE International Conference on Blockchain and Cryptocurrency, ICBC 2023},
keywords = {Consensus Rewards,Ethereum,Ethereum Consensus Layer,Ethereum Rewards,Ethereum2,The Merge},
mendeley-groups = {51-dlt},
pages = {1--9},
publisher = {IEEE},
title = {{Autopsy of Ethereum's Post-Merge Reward System}},
year = {2023}
}

@article{Cohen2019,
author = {Cohen, Bram and Pietrzak, Krzysztof},
file = {:D\:/Users/d84179777/AppData/Local/Mendeley Ltd./Mendeley Desktop/Downloaded/Cohen, Pietrzak - 2019 - The Chia Network Blockchain.pdf:pdf},
mendeley-groups = {51-dlt},
pages = {1--44},
title = {{The Chia Network Blockchain}},
volume = {1},
year = {2019}
}
@inproceedings{Lokhava2019,
author = {Lokhava, Marta and Losa, Giuliano and Mazi\`{e}res, David and Hoare, Graydon and Barry, Nicolas and Gafni, Eli and Jove, Jonathan and Malinowsky, Rafa\l{} and McCaleb, Jed},
title = {Fast and Secure Global Payments with Stellar},
year = {2019},
isbn = {9781450368735},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {International payments are slow and expensive, in part because of multi-hop payment routing through heterogeneous banking systems. Stellar is a new global payment network that can directly transfer digital money anywhere in the world in seconds. The key innovation is a secure transaction mechanism across untrusted intermediaries, using a new Byzantine agreement protocol called SCP. With SCP, each institution specifies other institutions with which to remain in agreement; through the global interconnectedness of the financial system, the whole network then agrees on atomic transactions spanning arbitrary institutions, with no solvency or exchange-rate risk from intermediary asset issuers or market makers. We present SCP's model, protocol, and formal verification; describe the Stellar payment network; and finally evaluate Stellar empirically through benchmarks and our experience with several years of production use.},
booktitle = {Proceedings of the 27th ACM Symposium on Operating Systems Principles},
pages = {80–96},
numpages = {17},
keywords = {BFT, payments, blockchain, quorums},
location = {Huntsville, Ontario, Canada},
series = {SOSP '19}
}
@article{Zhou2023,
abstract = {Blockchain systems must be secure and offer high performance. These systems rely on transaction broadcast mechanisms to provide both of these features. Unfortunately, in today's systems, the broadcast mechanisms are highly inefficient.We present Mercury, a new transaction broadcast protocol designed for high performance blockchains. Mercury shortens the transaction propagation delay using two techniques: a virtual coordinate system and an early outburst strategy. Simulation results show that Mercury outperforms prior propagation schemes and decreases overall propagation latency by up to 44%. When implemented in Conflux, an open-source high-throughput blockchain system, Mercury reduces transaction propagation latency by over 50% with less than 5% bandwidth overhead.},
author = {Zhou, Mingxun and Zeng, Liyi and Han, Yilin and Li, Peilun and Long, Fan and Zhou, Dong and Beschastnikh, Ivan and Wu, Ming},
doi = {10.1109/INFOCOM53939.2023.10228972},
file = {:Users/dgu/Downloads/Mercury_Fast_Transaction_Broadcast_in_High_Performance_Blockchain_Systems.pdf:pdf},
isbn = {9798350334142},
issn = {0743166X},
journal = {Proceedings - IEEE INFOCOM},
keywords = {Blockchain,P2P network,propagation latency,transaction broadcast},
mendeley-groups = {51-dlt},
pages = {1--10},
publisher = {IEEE},
title = {{Mercury: Fast Transaction Broadcast in High Performance Blockchain Systems}},
volume = {2023-May},
year = {2023}
}

@article{Trautwein2022,
abstract = {Recent years have witnessed growing consolidation of web operations. For example, the majority of web traffic now originates from a few organizations, and even micro-websites often choose to host on large pre-existing cloud infrastructures. In response to this, the "Decentralized Web"attempts to distribute ownership and operation of web services more evenly. This paper describes the design and implementation of the largest and most widely used Decentralized Web platform-the InterPlanetary File System (IPFS)-an open-source, content-Addressable peer-To-peer network that provides distributed data storage and delivery. IPFS has millions of daily content retrievals and already underpins dozens of third-party applications. This paper evaluates the performance of IPFS by introducing a set of measurement methodologies that allow us to uncover the characteristics of peers in the IPFS network. We reveal presence in more than 2700 Autonomous Systems and 152 countries, the majority of which operate outside large central cloud providers like Amazon or Azure. We further evaluate IPFS performance, showing that both publication and retrieval delays are acceptable for a wide range of use cases. Finally, we share our datasets, experiences and lessons learned.},
archivePrefix = {arXiv},
arxivId = {2208.05877},
author = {Trautwein, Dennis and Raman, Aravindh and Tyson, Gareth and Castro, Ignacio and Scott, Will and Schubotz, Moritz and Gipp, Bela and Psaras, Yiannis},
doi = {10.1145/3544216.3544232},
eprint = {2208.05877},
file = {:D\:/Users/d84179777/Downloads/3544216.3544232.pdf:pdf},
isbn = {9781450394208},
journal = {SIGCOMM 2022 - Proceedings of the ACM SIGCOMM 2022 Conference},
keywords = {content addressable storage,content addressing,decentralized web,interplanetary file system,libp2p},
mendeley-groups = {50-distributed-concensus},
pages = {739--752},
title = {{Design and evaluation of ipfs: A storage layer for the decentralizedweb}},
year = {2022}
}

@ARTICLE{Doan2022-IPFS,
  author={Doan, Trinh Viet and Psaras, Yiannis and Ott, Jörg and Bajpai, Vaibhav},
  journal={IEEE Internet Computing}, 
  title={Toward Decentralized Cloud Storage With IPFS: Opportunities, Challenges, and Future Considerations}, 
  year={2022},
  volume={26},
  number={6},
  pages={7-15},
  doi={10.1109/MIC.2022.3209804}}

@inproceedings{Burrows2006,
author = {Burrows, Mike},
title = {The Chubby Lock Service for Loosely-Coupled Distributed Systems},
year = {2006},
isbn = {1931971471},
publisher = {USENIX Association},
address = {USA},
abstract = {We describe our experiences with the Chubby lock service, which is intended to provide coarse-grained locking as well as reliable (though low-volume) storage for a loosely-coupled distributed system. Chubby provides an interface much like a distributed file system with advisory locks, but the design emphasis is on availability and reliability, as opposed to high performance. Many instances of the service have been used for over a year, with several of them each handling a few tens of thousands of clients concurrently. The paper describes the initial design and expected use, compares it with actual use, and explains how the design had to be modified to accommodate the differences.},
booktitle = {Proceedings of the 7th Symposium on Operating Systems Design and Implementation},
pages = {335–350},
numpages = {16},
location = {Seattle, Washington},
series = {OSDI '06}
}


@book{Stewart2009,
author = {Stewart, William},
booktitle = {Princenton University Press},
isbn = {9780691140629},
mendeley-groups = {12-queueing-theory},
title = {{Probability, Markov Chains, Queues, and Simulation}},
year = {2009}
}
@book{Feller1969,
abstract = {Volume I, 3rd Edition},
author = {Feller, William},
doi = {10.2307/1267275},
issn = {00401706},
journal = {Technometrics},
mendeley-groups = {12-queueing-theory},
number = {2},
pages = {405},
title = {{Vol. 2, An Introduction to Probability Theory and Its Applications}},
volume = {11},
year = {1969}
}
@article{Rasmussen2016,
author = {Rasmussen, Carl Edward},
publisher = {Cambridge University},
pages = {1-8},
title = {{Discrete Categorical Distribution [Lecture]. Cambridge}},
year = {2016}
}
%statistics
@article{Clauset2009,
author = {Clauset, Aaron and Shalizi, Cosma Rohilla and Newman, M. E. J.},
title = {Power-Law Distributions in Empirical Data},
journal = {SIAM Review},
volume = {51},
number = {4},
pages = {661-703},
year = {2009},
doi = {10.1137/070710111},

URL = {
        https://doi.org/10.1137/070710111

},
eprint = {
        https://doi.org/10.1137/070710111

}
,
    abstract = { Power-law distributions occur in many situations of scientific interest and have significant consequences for our understanding of natural and man-made phenomena. Unfortunately, the detection and characterization of power laws is complicated by the large fluctuations that occur in the tail of the distribution—the part of the distribution representing large but rare events—and by the difficulty of identifying the range over which power-law behavior holds. Commonly used methods for analyzing power-law data, such as least-squares fitting, can produce substantially inaccurate estimates of parameters for power-law distributions, and even in cases where such methods return accurate answers they are still unsatisfactory because they give no indication of whether the data obey a power law at all. Here we present a principled statistical framework for discerning and quantifying power-law behavior in empirical data. Our approach combines maximum-likelihood fitting methods with goodness-of-fit tests based on the Kolmogorov–Smirnov (KS) statistic and likelihood ratios. We evaluate the effectiveness of the approach with tests on synthetic data and give critical comparisons to previous approaches. We also apply the proposed methods to twenty-four real-world data sets from a range of different disciplines, each of which has been conjectured to follow a power-law distribution. In some cases we find these conjectures to be consistent with the data, while in others the power law is ruled out. }
}
%networking
@inproceedings{Crowcroft2022,
author = {Crowcroft, Jon},
title = {Statement: Hard Lessons for ICN from IP Multicast},
year = {2022},
isbn = {9781450392570},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {In this brief statement, we trace the line of thought from Internet Multicast through to Information Centric Networking, and use this to outline what we think should have been the priorities in ICN work from the start.},
booktitle = {Proceedings of the 9th ACM Conference on Information-Centric Networking},
pages = {148–149},
numpages = {2},
location = {Osaka, Japan},
series = {ICN '22}
}

@misc{Trossen2022,
      title={If Multicast is the Answer -- What was the Question?},
      author={Dirk Trossen and Jon Crowcroft},
      year={2022},
      eprint={2211.09029},
      archivePrefix={arXiv},
      primaryClass={cs.NI}
}

@inproceedings{Bless2009,
    author       = {Bless, Roland and Waldhorst, Oliver P. and Mayer, Christoph P. and Wippel, Hans},
    year         = {2009},
    title        = {Decentralized and Autonomous Bootstrapping for IPv6-based Peer-to-Peer Networks},
    booktitle    = {Winning Entry of the IPv6 Contest 2009 by IPv6 Council, Leipzig},
    language     = {english}
}

@inproceedings{Bless2022,
    author       = {Bless, Roland and Zitterbart, Martina and Despotovic, Zoran and Hecker, Artur},
    year         = {2022},
    title        = {KIRA: Distributed Scalable ID-based Routing with Fast Forwarding},
    pages        = {1–9},
    eventtitle   = {21st Networking Conference},
    eventtitleaddon = {IFIP 2022},
    eventdate    = {2022-06-13/2022-06-16},
    venue        = {Catania, Italien},
    booktitle    = {21st IFIP Networking Conference, 13th-16th June 2022, Catania},
    doi          = {10.23919/IFIPNetworking55013.2022.9829816},
    publisher    = {{Institute of Electrical and Electronics Engineers (IEEE)}},
    isbn         = {978-3-903176-48-5},
    keywords     = {Routing, ID-based, Distributed Routing, Scalability},
    language     = {english}
}
@inproceedings{Hoiland2016,
author = {H\o{}iland-J\o{}rgensen, Toke and Ahlgren, Bengt and Hurtig, Per and Brunstrom, Anna},
title = {Measuring Latency Variation in the Internet},
year = {2016},
isbn = {9781450342926},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {We analyse two complementary datasets to quantify the latency variation experienced by internet end-users: (i) a large-scale active measurement dataset (from the Measurement Lab Network Diagnostic Tool) which shed light on long-term trends and regional differences; and (ii) passive measurement data from an access aggregation link which is used to analyse the edge links closest to the user.The analysis shows that variation in latency is both common and of significant magnitude, with two thirds of samples exceeding 100, ms of variation. The variation is seen within single connections as well as between connections to the same client. The distribution of experienced latency variation is heavy-tailed, with the most affected clients seeing an order of magnitude larger variation than the least affected. In addition, there are large differences between regions, both within and between continents. Despite consistent improvements in throughput, most regions show no reduction in latency variation over time, and in one region it even increases.We examine load-induced queueing latency as a possible cause for the variation in latency and find that both datasets readily exhibit symptoms of queueing latency correlated with network load. Additionally, when this queueing latency does occur, it is of significant magnitude, more than 200,ms in the median. This indicates that load-induced queueing contributes significantly to the overall latency variation.},
booktitle = {Proceedings of the 12th International on Conference on Emerging Networking EXperiments and Technologies},
pages = {473–480},
numpages = {8},
keywords = {access network performance, bufferbloat, latency},
location = {Irvine, California, USA},
series = {CoNEXT '16}
}
%eBPF
@article{Parola2023,
author = {Parola, Federico and Procopio, Roberto and Querio, Roberto and Risso, Fulvio},
title = {Comparing User Space and In-Kernel Packet Processing for Edge Data Centers},
year = {2023},
issue_date = {January 2023},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {53},
number = {1},
issn = {0146-4833},
abstract = {Telecommunication operators are massively moving their network functions in small data centers at the edge of the network, which are becoming increasingly common. However, the high performance provided by commonly used technologies for data plane processing such as DPDK, based on kernel-bypass primitives, comes at the cost of rigid resource partitioning. This is unsuitable for edge data centers, in which efficiency demands both general-purpose applications and data-plane telco workloads to be executed on the same (shared) physical machines. In this respect, eBPF/XDP looks a more appealing solution, thanks to its capability to process packets in the kernel, achieving a higher level of integration with non-data plane applications albeit with lower performance than DPDK. In this paper we leverage the recent introduction of AF_XDP, an XDP-based technology that allows to efficiently steer packets in user space, to provide a thorough comparison of user space vs in-kernel packet processing in typical scenarios of a data center at the edge of the network. Our results provide useful insights on how to select and combine these technologies in order to improve overall throughput and optimize resource usage.},
journal = {SIGCOMM Comput. Commun. Rev.},
month = {apr},
pages = {14–29},
numpages = {16},
keywords = {XDP, NFV, eBPF, data plane, Linux kernel, AF_XDP}
}

%VotingModel
@article{Cruise2014,
abstract = {In this paper, we consider lightweight decentralised algorithms for achieving consensus in distributed systems. Each member of a distributed group has a private value from a fixed set consisting of, say, two elements, and the goal is for all members to reach consensus on the majority value. We explore variants of the voter model applied to this problem. In the voter model, each node polls a randomly chosen group member and adopts its value. The process is repeated until consensus is reached. We generalise this so that each member polls a (deterministic or random) number of other group members and changes opinion only if a suitably defined super-majority has a different opinion. We show that this modification greatly speeds up the convergence of the algorithm, as well as substantially reducing the probability of it reaching consensus on the incorrect value.},
archivePrefix = {arXiv},
arxivId = {1311.4805},
author = {Cruise, James and Ganesh, Ayalvadi},
doi = {10.1007/s11134-014-9397-7},
eprint = {1311.4805},
issn = {15729443},
journal = {Queueing Systems},
keywords = {Consensus,Markov chains,Probability,Voter model},
mendeley-groups = {50-distributed-concensus},
number = {2},
pages = {99--120},
title = {{Probabilistic consensus via polling and majority rules}},
volume = {78},
year = {2014}
}
%WeightedVotes Model
@article{Cruise2014,
abstract = {In this paper, we consider lightweight decentralised algorithms for achieving consensus in distributed systems. Each member of a distributed group has a private value from a fixed set consisting of, say, two elements, and the goal is for all members to reach consensus on the majority value. We explore variants of the voter model applied to this problem. In the voter model, each node polls a randomly chosen group member and adopts its value. The process is repeated until consensus is reached. We generalise this so that each member polls a (deterministic or random) number of other group members and changes opinion only if a suitably defined super-majority has a different opinion. We show that this modification greatly speeds up the convergence of the algorithm, as well as substantially reducing the probability of it reaching consensus on the incorrect value.},
archivePrefix = {arXiv},
arxivId = {1311.4805},
author = {Cruise, James and Ganesh, Ayalvadi},
doi = {10.1007/s11134-014-9397-7},
eprint = {1311.4805},
issn = {15729443},
journal = {Queueing Systems},
keywords = {Consensus,Markov chains,Probability,Voter model},
mendeley-groups = {50-distributed-concensus},
number = {2},
pages = {99--120},
title = {{Probabilistic consensus via polling and majority rules}},
volume = {78},
year = {2014}
}
%Introduction - Use classes
@article{Hari,
author = {Hari, Adiseshu and Lakshman, T V},
isbn = {9781450346610},
mendeley-groups = {51-dlt},
pages = {204--210},
title = {{The Internet Blockchain : A Distributed , Tamper-Resistant Transaction Framework for the Internet}}
}

@inproceedings{Deering1990,
author = {Deering, Stephen E. and Cheriton, David R.},
title = {Multicast Routing in Datagram Internetworks and Extended LANs},
year = {1990},
issue_date = {May 1990},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {8},
number = {2},
issn = {0734-2071},
journal = {ACM Trans. Comput. Syst.},
month = {may},
pages = {85–110},
numpages = {26}
}
% Reliability, resilience 
@article{Lee2011,
abstract = {We consider network reliability in layered networks where the lower layer experiences random link failures. In layered networks, each failure at the lower layer may lead to multiple failures at the upper layer. We generalize the classical polynomial expression for network reliability to the multilayer setting. Using random sampling techniques, we develop polynomial-time approximation algorithms for the failure polynomial. Our approach gives an approximate expression for reliability as a function of the link failure probability, eliminating the need to resample for different values of the failure probability. Furthermore, it gives insight on how the routings of the logical topology on the physical topology impact network reliability. We show that maximizing the min cut of the (layered) network maximizes reliability in the low-failure-probability regime. Based on this observation, we develop algorithms for routing the logical topology to maximize reliability. {\textcopyright} 2011 IEEE.},
author = {Lee, Kayi and Lee, Hyang Won and Modiano, Eytan},
doi = {10.1109/TNET.2011.2143425},
file = {:Users/dgu/Library/Application Support/Mendeley Desktop/Downloaded/Lee, Lee, Modiano - 2011 - Reliability in layered networks with random link failures.pdf:pdf},
issn = {10636692},
journal = {IEEE/ACM Transactions on Networking},
keywords = {Lightpath routing,multilayer network,network reliability,random failures,random sampling,reliability approximation},
mendeley-groups = {61-network-theory,561-reliability},
number = {6},
pages = {1835--1848},
title = {{Reliability in layered networks with random link failures}},
volume = {19},
year = {2011}
}
%NFT
@article{Oh2023,
abstract = {Non-Fungible Tokens (NFTs) are a new form of digital asset used for fundraising purposes , similar to equity crowdfunding, but within an unregulated environment. The NFT market has been described as an unregulated and prone to misconduct, but there is a lack of detailed analysis on such behaviors. This paper examines the use of manipulative trading, specifically unrevealed insider trading and wash trading, within the NFT market using publicly available transaction data on the Ethereum blockchain. The results show that insiders buying behavior strongly predicts higher future price returns. Even if the circulated USD amount in wash trades is more than 422 million, wash trades fails to impact meaningful market outcomes. I find that some investors engage in wash trading to earn rewards from NFT marketplaces or promote emerging marketplaces in competition with the dominant platform.},
author = {Oh, Sebeom},
doi = {10.2139/ssrn.4397409},
file = {:Users/dgu/Downloads/SSRN-id4397409.pdf:pdf},
journal = {SSRN Electronic Journal},
keywords = {2023 joint conference with,allied korea finance associations,and 19th annual conference,discussant,donghoon,h,i would like to,john kim,jongsub lee,kanghyun cho,kim,market manipulation,of derivatives,of the asia-pacific association,oleg rytchkov,samuel rosen,seminar participants at temple,speculative market,thank j,the,transparency,university},
mendeley-groups = {51-dlt},
number = {September},
title = {{Market Manipulation in NFT Markets}},
year = {2023}
}
@article{Bose2023,
abstract = {As cryptocurrency evolved, new financial instruments, such as lending and borrowing protocols, currency exchanges, fungible and non-fungible tokens (NFT), staking and mining protocols have emerged. A financial ecosystem built on top of a blockchain is supposed to be fair and transparent for each participating actor. Yet, there are sophisticated actors who turn their domain knowledge and market inefficiencies to their strategic advantage; thus extracting value from trades not accessible to others. This situation is further exacerbated by the fact that blockchain-based markets and decentralized finance (DeFi) instruments are mostly unregulated. Though a large body of work has already studied the unfairness of different aspects of DeFi and cryptocurrency trading, the economic intricacies of non-fungible token (NFT) trades necessitate further analysis and academic scrutiny. The trading volume of NFTs has skyrocketed in recent years. A single NFT trade worth over a million US dollars, or marketplaces making billions in revenue is not uncommon nowadays. While previous research indicated the presence of wrongdoings in the NFT market, to our knowledge, we are the first to study predatory trading practices, what we call opportunistic trading, in depth. Opportunistic traders are sophisticated actors who employ automated, high-frequency NFT trading strategies, which, oftentimes, are malicious, deceptive, or, at the very least, unfair. Such attackers weaponize their advanced technical knowledge and superior understanding of DeFi protocols to disrupt trades of unsuspecting users, and collect profits from economic situations that are inaccessible to ordinary users, in a "supposedly" fair market. In this paper, we explore three such broad classes of opportunistic strategies aiming to realize three distinct trading objectives, viz., acquire, instant profit generation, and loss minimization.},
archivePrefix = {arXiv},
arxivId = {2310.06844},
author = {Bose, Priyanka and Das, Dipanjan and Gritti, Fabio and Ruaro, Nicola and Kruegel, Christopher and Vigna, Giovanni},
eprint = {2310.06844},
file = {:Users/dgu/Downloads/2310.06844.pdf:pdf},
mendeley-groups = {51-dlt},
title = {{Exploiting Unfair Advantages: Investigating Opportunistic Trading in the NFT Market}},
url = {http://arxiv.org/abs/2310.06844},
year = {2023}
}
%Cloud Providers
@article{Hetzner2023,
abstract = {},
author = {Hetzner},
title = {{New Dedicated vCPU Cloud Servers}},
url = {https://www.hetzner.com/news/new-dedicated-vcpu-cloud-server},
month           = {March},
year = {2023}
}
@article{Hetzner2022,
abstract = {},
author = {Hetzner},
title = {{is it allowed to run a crypto block chain node?}},
url = {https://www.reddit.com/r/hetzner/comments/wucxs4/comment/ilfoj8u/},
month           = {August},
year = {2022}
}
@article{cointelegraph2022,
abstract = {},
author = {cointelegraph},
title = {{Hetzner anti-crypto policies: A wake-up call for Ethereum’s future}},
url = {https://cointelegraph.com/news/hetzner-anti-crypto-policies-a-wake-up-call-for-ethereum-s-future},
month           = {August},
year = {2022}
}
@article{Amazon2023,
abstract = {},
author = {Amazon},
title = {{New Dedicated vCPU Cloud Servers}},
url = {https://aws.amazon.com/ec2/pricing/dedicated-instances/},
month           = {January},
year = {2023}
}
@article{Binance2023,
abstract = {},
author = {Binance},
title = {{Bitcoin User Data Stolen By Entity Using 812 Different IP Addresses}},
url = {https://www.binance.com/en-NG/feed/post/363882},
month           = {March},
year = {2023}
}
@article{IpLocation2023,
abstract = {},
author = {Brand Media, Inc.},
title = {{Online Tools}},
url = {https://tools.iplocation.net/},
month           = {March},
year = {2023}
}
%Hetzner SLA
@article{Hetzner2021,
abstract = {},
author = {Hetzner},
title = {{Terms and Conditions Version 2.0.0}},
url = {https://www.hetzner.com/assets/Uploads/downloads/AGB-en.pdf},
month           = {October},
year = {2021}
}

@article{AmazonSLA,
abstract = {},
author = {Amazon},
title = {{Amazon Compute Service Level Agreement}},
url = {https://aws.amazon.com/compute/sla/},
month           = {May},
year = {2022}
}

@article{Cardellini2002,
author = {Cardellini, Valeria and Casalicchio, Emiliano and Colajanni, Michele and Yu, Philip S.},
title = {The state of the art in locally distributed Web-server systems},
year = {2002},
issue_date = {June 2002},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {34},
number = {2},
issn = {0360-0300},
abstract = {The overall increase in traffic on the World Wide Web is augmenting user-perceived response times from popular Web sites, especially in conjunction with special events. System platforms that do not replicate information content cannot provide the needed scalability to handle large traffic volumes and to match rapid and dramatic changes in the number of clients. The need to improve the performance of Web-based services has produced a variety of novel content delivery architectures. This article will focus on Web system architectures that consist of multiple server nodes distributed on a local area, with one or more mechanisms to spread client requests among the nodes. After years of continual proposals of new system solutions, routing mechanisms, and policies (the first dated back to 1994 when the NCSA Web site had to face the first million of requests per day), many problems concerning multiple server architectures for Web sites have been solved. Other issues remain to be addressed, especially at the network application layer, but the main techniques and methodologies for building scalable Web content delivery architectures placed in a single location are settled now. This article classifies and describes main mechanisms to split the traffic load among the server nodes, discussing both the alternative architectures and the load sharing policies. To this purpose, it focuses on architectures, internal routing mechanisms, and dispatching request algorithms for designing and implementing scalable Web-server systems under the control of one content provider. It identifies also some of the open research issues associated with the use of distributed systems for highly accessed Web sites.},
journal = {ACM Comput. Surv.},
month = {jun},
pages = {263–311},
numpages = {49},
keywords = {Client/server, World Wide Web, cluster-based architectures, dispatching algorithms, distributed systems, load balancing, routing mechanisms}
}

@inproceedings{Li2001,
author = {Li, Quanzhong and Moon, Bongki},
title = {Distributed cooperative Apache web server},
year = {2001},
isbn = {1581133480},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
booktitle = {Proceedings of the 10th International Conference on World Wide Web},
pages = {555–564},
numpages = {10},
keywords = {scalable Web server, replication, load balancing, distributed Web server, WWW, DC-Apache, Apache},
location = {Hong Kong, Hong Kong},
series = {WWW '01}
}

@inproceedings{Thomas2023,
author = {Thomas, Yannis and Fotiou, Nikos and Pittaras, Iakovos and Xylomenos, George and Voulgaris, Spyros and Polyzos, George C.},
title = {Peer Clustering for the InterPlanetary File System},
year = {2023},
isbn = {9798400702761},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
abstract = {Distributed Hash Tables (DHT) are once again attracting research interest, 20 years after their inception, as a promising solution for scalable and decentralized content storage. A prominent example is the InterPlanetary File System (IPFS), a distributed peer-to-peer storage system with more than 20K online peers, which uses the Kademlia DHT. We design and implement H-Kademlia, a hierarchical version of Kademlia for IPFS, where peers are distributed into disjoint sets of users, or clusters. Peer clustering can offer resilience to network partition, privacy of in-cluster content lookups, as well as improved caching, content filtering and access control. We assess the performance of IPFS over H-Kademlia via simulations that use real traces from the IPFS network. Our findings show that our design delivers the benefits of peer clustering, without significant performance penalties.},
booktitle = {Proceedings of the 2nd ACM SIGCOMM Workshop on Future of Internet Routing \& Addressing},
pages = {8–14},
numpages = {7},
keywords = {Clustering, DHT, IPFS, Kademlia},
location = {New York, NY, USA},
series = {FIRA '23}
}

@INPROCEEDINGS{Prasanna2004,
  author={Prasanna Ganesan and Krishna Gummadi and Garcia-Molina, H.},
  booktitle={24th International Conference on Distributed Computing Systems, 2004. Proceedings.}, 
  title={Canon in G major: designing DHTs with hierarchical structure}, 
  year={2004},
  volume={},
  number={},
  pages={263-272},
  keywords={Routing;Bandwidth;Access control;Artificial intelligence;Merging;Large-scale systems;Buildings;File systems;Internet;Scalability},
  doi={10.1109/ICDCS.2004.1281591}}

@UNPUBLISHED{Ballanties2023,
	copyright = {In Copyright - Non-Commercial Use Permitted},
	year = {2023-10},
	volume = {03/2023},
	type = {Working Paper},
	journal = {Center for Law & Economics Working Paper Series},
	author = {Ballandies, Mark C. and Wang, Hongyang and Chung Chee Law, Andrew and Yang, Joshua C. and Gösken, Christophe and Andrew, Michael},
	size = {7 p.},
	abstract = {As digitalization and technological advancements continue to shape the infrastructure landscape, the emergence of blockchain-based decentralized physical infrastructure networks (DePINs) has gained prominence. However, a systematic categorization of DePIN components and their interrelationships is still missing. To address this gap, we conduct a literature review and analysis of existing frameworks and derived a taxonomy of DePIN systems from a conceptual architecture. Our taxonomy encompasses three key dimensions: distributed ledger technology, cryptoeconomic design and physicial infrastructure network. Within each dimension, we identify and define relevant components and attributes, establishing a clear hierarchical structure. Moreover, we illustrate the relationships and dependencies among the identified components, highlighting the interplay between governance models, hardware architectures, networking protocols, token mechanisms, and distributed ledger technologies. This taxonomy provides a foundation for understanding and classifying diverse DePIN networks, serving as a basis for future research and facilitating knowledge exchange, fostering collaboration and standardization within the emerging field of decentralized physical infrastructure networks.},
	keywords = {DePINs; Distributed Ledger Technology (DLT); Cryptoeconomic design; Physicial infrastructure network; Governance models; Hardware Architecture (cs.AR); Networking Protocols; Token Mechanisms},
	language = {en},
	address = {Zurich},
	publisher = {Center for Law & Economics, ETH Zurich},
	DOI = {10.3929/ethz-b-000640008},
	title = {A Taxonomy for Blockchain-based Decentralized Physical Infrastructure Networks (DePIN)}
}